-- complain if script is sourced in psql, rather than via CREATE EXTENSION
\echo Use "ALTER EXTENSION cc_sql UPDATE TO '1.1'" to load this file. \quit

drop function if exists cc_distribute_init_queues_internal;
CREATE function cc_distribute_init_queues_internal(internal, int, int, int, varchar, int2[],
                  cc_sys_distribute_resource[], cc_sys_distribute_type[],
                  cc_sys_distribute_bucket[], int, int2, bool, int4, int4, bool, bool, bool, int8) returns int
as 'MODULE_PATHNAME', 'cc_distribute_init_queues_internal'
    LANGUAGE C CALLED ON NULL INPUT;

drop function if exists cc_distribute_agents;
CREATE FUNCTION cc_distribute_agents(internal, int, int, int, int, int[]) returns setof record
AS 'MODULE_PATHNAME', 'cc_distribute_agents'
    LANGUAGE C VOLATILE;

drop function if exists cc_round_robin_bucket;
CREATE FUNCTION cc_round_robin_bucket(internal, int, int, int) returns int8
AS
'MODULE_PATHNAME', 'cc_round_robin_bucket'
    LANGUAGE C IMMUTABLE;